Bug 612233 - Fix xbuild in order to package Pinta
Summary: Fix xbuild in order to package Pinta
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mono
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 590244
TreeView+ depends on / blocked
 
Reported: 2010-07-07 15:59 UTC by Paul Lange
Modified: 2011-06-29 13:53 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-29 13:53:01 UTC


Attachments (Terms of Use)
fix msbuild support (1.05 KB, patch)
2010-07-07 15:59 UTC, Paul Lange
no flags Details | Diff

Description Paul Lange 2010-07-07 15:59:06 UTC
Created attachment 430101 [details]
fix msbuild support

Based on a bug in Mono 2.6 Pinta cannot be built.

Patch is attached and from https://bugzilla.novell.com/show_bug.cgi?id=485841

Comment 1 Christian Krause 2010-07-08 20:06:02 UTC
Unfortunately it will take a little bit longer to provide a new mono package since it looks like that we can't rebuild the mono core package for now in rawhide (or F13)... (the mono compiler gets stuck on x86_64 - see https://koji.fedoraproject.org/koji/taskinfo?taskID=2302421 )

Comment 2 Christian Krause 2010-07-17 15:29:17 UTC
In Rawhide mono was updated to a pre-release of upcoming 2.6.7 - please can you try, whether this would also fix the problem?

Comment 3 Paul Lange 2010-07-17 16:16:07 UTC
This is fixed with 2.6.7. Thanks a lot. 

Will this also be made available for F13?

I'm not sure on how to clode this correctly, so I let this for you.

Comment 4 Christian Krause 2010-07-17 18:05:09 UTC
In general yes: either we'll find a away to re-compile mono also for F13 (the real problem seems to be the kernel of some build machines running RHEL 6) or if not I assume we'll update to mono 2.6.7 in F13 after it was officially released.

Comment 5 Robert Scheck 2010-08-30 22:58:31 UTC
Ping? Any update here?

Comment 6 Christian Krause 2010-09-01 22:17:58 UTC
I'm trying to update mono to 2.6.7 in F13, too. Unfortunately there is a very strange build problem which causes some trouble - on some of the build machines the build just gets stuck during compilation of the mono binaries (only on x86_64, issue can't be reproduced outside of the build machines etc... see https://koji.fedoraproject.org/koji/taskinfo?taskID=2438590 ).

Comment 7 Bug Zapper 2011-06-01 14:31:30 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-29 13:53:01 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.